Create device backup – Fleets API – MediaKind
Create device backup
post https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/backup
Creates a backup for specific device. This backup can be restored to a device later.
RBAC Capability Required: fleet.device.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
- name string Required
Request
This endpoint expects an object.
metadata object DefaultMetadata Required
Resource metadata.
- displayName string Required
A human-readable name for the resource. - labels map from strings to string Optional
A dictionary of labels associated with the resource.
Maximum number of labels: 32.
Maximum length of a label or value: 256 characters.
Label: alphanumeric, hyphens and underscores.
Value: alphanumeric, hyphens, underscores and spaces.
spec object DeviceBackupBodySpec Required
Device backup specification
- backupAssetFile boolean Optional
Defaults to false.
If the asset file should be backed up or not. - backupName string Optional
<=255 characters.
The name of the backup. The backup name can be passed to the /restore endpoint to apply the backup to the device in future. Choose a name that will help to recall the purpose of the backup, for example: an event. It is recommended that you include the date to differentiate backup versions.
Response
202 The device backup was successfully created.
No response body.
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
401 Unauthorized
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
403 Forbidden
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
404 Not Found
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
409 Conflict
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
429 Too Many Requests
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code
500 Internal Server Error
error object ErrorDetail Required
Pertinent information about the error
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
Extra information regarding this error.
ref string Required
A reference to the request that caused the error.
status integer Required
The HTTP status code